Message: Re: clhep-2.3.2.2.tgz installation Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Re: clhep-2.3.2.2.tgz installation 

Forum: Installation and Configuration
Re: Question clhep-2.3.2.2.tgz installation (Ainnie)
Re: Note Re: clhep-2.3.2.2.tgz installation (Ben Morgan)
Date: 23 Jul, 2018
From: Aqsa <Aqsa>

As suggested in the previous thread I prefer installing CLHEP within the geant4 package for that I used the following command in build directory

" cmake -DCMAKE_INSTALL_PREFIX=/home/aqsa/Downloads/GEANT4/geant4.10.04.p02-build -DGEANT4_INSTALL_DATA=ON -DGEANT4_USE_QT=ON -DGEANT4_USE_OPENGL_X11=ON -DGEANT4_USE_RAYTRACER_X11=ON -DGEANT4_USE_GDML=ON -DGEANT4_USE_SYSTEM_CLHEP=ON -DGEANT4_BUILD_MULTITHREADED= ON -DGEANT4_USE_G3TOG4=ON /home/aqsa/Downloads/GEANT4/geant4.10.04.p02 "

As you can see I have added -D command for using system clhep

But I am getting the following error

"
CMake Error at cmake/Modules/Geant4OptionalComponents.cmake:77 (find_package):
  Could not find a package configuration file provided by "CLHEP" (requested
  version 2.3.3.0) with any of the following names:

    CLHEPConfig.cmake
    clhep-config.cmake

  Add the installation prefix of "CLHEP" to CMAKE_PREFIX_PATH or set
  "CLHEP_DIR" to a directory containing one of the above files.  If "CLHEP"
  provides a separate development package or SDK, be sure it has been
  installed.
Call Stack (most recent call first):
  cmake/Modules/G4CMakeMain.cmake:59 (include)
  CMakeLists.txt:56 (include)

-- Configuring incomplete, errors occurred! See also "/home/aqsa/Downloads/GEANT4/geant4.10.04.p02-build/CMakeFiles/CMakeOutput.log". "

What should I do?

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Feedback: Re: clhep-2.3.2.2.tgz installation   (Ben Morgan - 24 Jul, 2018)
(_ Question: Re: clhep-2.3.2.2.tgz installation   (Aqsa - 24 Jul, 2018)
(_ None: Re: clhep-2.3.2.2.tgz installation   (Ben Morgan - 25 Jul, 2018)
(_ None: Re: clhep-2.3.2.2.tgz installation   (Aqsa - 25 Jul, 2018)
 Add Message Add Message
to: "Re: clhep-2.3.2.2.tgz installation"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]